//<script>
    if (typeof jQuery === 'undefined')
    {
        var script1 = document.createElement('script');
        script1.src = '/sk_calc/js/jquery.js';
        document.getElementsByTagName('head')[0].appendChild(script1);
    }

   var st1 = document.createElement("link");
    st1.setAttribute("type","text/css");
    st1.setAttribute("rel","stylesheet");
    st1.setAttribute("href","/sk_calc/css/style.css");
    document.getElementsByTagName('head')[0].appendChild(st1);

function createObject() {
    var request_type;
    var browser = navigator.appName;
    if(browser == "Microsoft Internet Explorer"){
    request_type = new ActiveXObject("Microsoft.XMLHTTP");
    }else{
    request_type = new XMLHttpRequest();
    }
    return request_type;
    }

    var http = createObject();
    var http2 = createObject();
    var http3 = createObject();
    var nocache = 0;
    // start
function s_save(id)
{
    nocache = Math.random();
    var summ = document.getElementById('s_summ').value;
    var name = encodeURIComponent(document.getElementById('ed_name'+id).value);
    if(name == ""){alert("не оставляйте пустых ячеек"); return false;}
    var term = document.getElementById('ed_term'+id).value;
    var currency = document.getElementById('ed_currency'+id).value;
    var type = document.getElementById('ed_type'+id).value;
    var percent = document.getElementById('ed_percent'+id).value;
    var method = document.getElementById('ed_method'+id).value;
    var min = document.getElementById('ed_min'+id).value;
    var note = document.getElementById('ed_note'+id).value;
       //alert(name);return 0;

    http.open('get', '/sk_calc/ajax.php?get=save'+
    '&id='+id+
    '&summ='+summ+
    '&name='+name+
    '&term='+term+
    '&currency='+currency+
    '&type='+type+
    '&percent='+percent+
    '&method='+method+
    '&min='+min+
    '&note='+note+
    '&nocache = '+nocache);
    http.onreadystatechange = function ()
    {
            if(http.readyState == 4)
            {
                var response = http.responseText;
                alert(response);
                if(response=='OK')
                {
                  trok(id);
                }
            }
    }
    http.send(null);
}
function s_add()
{
    nocache = Math.random();
    if(confirm("Вы уверены что хотите добавить новую строку?"))
    {
    var summ = document.getElementById('s_summ').value;
    var name = encodeURIComponent(document.getElementById('add_name').value);
    if(name == ""){alert("не оставляйте пустых ячеек"); return false;}
    var term = document.getElementById('add_term').value;
    var currency = document.getElementById('add_currency').value;
    var type = document.getElementById('add_type').value;
    var percent = document.getElementById('add_percent').value;
    var method = document.getElementById('add_method').value;
    var min = document.getElementById('add_min').value;
    var note = document.getElementById('add_note').value;
       //alert(name);return 0;

    http.open('get', '/sk_calc/ajax.php?get=add'+
    '&summ='+summ+
    '&name='+name+
    '&term='+term+
    '&currency='+currency+
    '&type='+type+
    '&percent='+percent+
    '&method='+method+
    '&min='+min+
    '&note='+note+
    '&nocache = '+nocache);
    http.onreadystatechange = function ()
    {
            if(http.readyState == 4)
            {
                var response = http.responseText;
                if(response=='OK')
                    {
                      alert("Добавлено успешно");
                      document.getElementById('s_res').innerHTML = "";
                      s_calc();
                    }
            }
    }
    http.send(null);
    }
}
function s_dell(id)
{
    nocache = Math.random();
    var summ = document.getElementById('s_summ').value;
       //alert(name);return 0;
    if(confirm("Вы уверены что хотите удалить строку с ID №"+id+"?"))
    {
        http.open('get', '/sk_calc/ajax.php?get=dell'+
        '&id='+id+
        '&summ='+summ+
        '&nocache = '+nocache);
        http.onreadystatechange = function ()
        {
                if(http.readyState == 4)
                {
                    var response = http.responseText;
                    if(response=='OK')
                    {
                      alert("Удалено успешно");
                      document.getElementById('s_res').innerHTML = "";
                      s_calc();
                    }
                }
        }
        http.send(null);
    }
}
function s_calc()
{
    nocache = Math.random();
    var summ = document.getElementById('s_summ').value;
    var uderzh = document.getElementById('s_uderzh').value;
    var term = document.getElementById('s_term').value;
    var percent = document.getElementById('s_percent').value;
    var method = document.getElementById('s_method').value;
    if(summ == '0'){alert("Введите сумму более чем 0");return false;}
    if(!isNaN(summ) && summ < 0){
      summ = 0;
      document.getElementById('s_summ').value = summ;
    }
    if(!isNaN(uderzh) && uderzh < 0){
      uderzh = 0;
      document.getElementById('s_uderzh').value = uderzh;
    }
    if(!isNaN(percent) && percent < 0){
      percent = 0;
      document.getElementById('s_percent').value = percent;
    }
    jQuery("#s_res").fadeOut(100);
    jQuery("table #s_loader").delay(600).fadeIn(200);


    http.open('get', '/sk_calc/ajax.php?get=calc'+
    '&summ='+summ+
    '&uderzh='+uderzh+
    '&term='+term+
    '&percent='+percent+
    '&method='+method+
    '&nocache = '+nocache);
    http.onreadystatechange = function ()
    {
            if(http.readyState == 4)
            {
                var response = http.responseText;
                document.getElementById('s_res').innerHTML = response;
                jQuery("#s_loader").fadeOut(200);
                jQuery("#s_res").delay(600).fadeIn(500);;
            }
    }
    http.send(null);
}

function trchange(id)
{
  document.getElementById('tr'+id).className = "change";
  document.getElementById('save'+id).className = "s_butt3";
}
function trok(id)
{
  document.getElementById('tr'+id).className = "ok";
  document.getElementById('save'+id).className = "s_butt3l";
}
function s_cancel()
{
  document.getElementById('s_res').innerHTML = "";
  jQuery("#s_res").fadeOut("fast");
}
function set_method(val)
{
  document.getElementById('s_method').value = val;
  if(document.getElementById('s_method').value=='max')
  {
    document.getElementById('s_calc_max').className = "s_butt2_act";
    document.getElementById('s_calc_summ').className = "s_butt2";
    document.getElementById('s_summ_name').innerHTML = "Сумма кредита:";
    jQuery("#s_calc table tr.tr_calc_max").fadeOut(500);
  }
  else
  {
    document.getElementById('s_calc_max').className = "s_butt2";
    document.getElementById('s_calc_summ').className = "s_butt2_act";
    document.getElementById('s_summ_name').innerHTML = "Сумма чистого среднемесячного дохода:";
    jQuery("#s_calc table tr.tr_calc_max").fadeIn(500);
  }
}
function toprint(){
  pr = document.getElementById('s_print').innerHTML;
  newWin=window.open('Версия для печати','printWindow','Toolbar=0,Width=800,Height=600,Location=0,Directories=0,Status=0,Menubar=yes,Scrollbars=yes,Resizable=0');
  newWin.document.open();
  newWin.document.write('<html>\r\n<head>\r\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\r\n<title>Версия для печати</title>\r\n</head>\r\n<body>\r\n<table cellpadding="1" cellspacing="1" border="1">'+pr+"</table>\r\n<a href='#' onclick=\"printit();return false;\">печать</a>\r\n<script language=\"JavaScript\">"+
"<!--\r\n"+
"var browser_name = navigator.appName;\r\n"+
"function printit(){\r\n alert(\"Если после закрытия этого сообщения Вам не откроется окно печати - нажмите комбинацию клавиш Ctrl + P\");"+
"if (browser_name == \"Netscape\") {\r\n"+
"    window.print();\r\n"+
"} else {\r\n"+
"    var WebBrowser = '<object id=\"WebBrowser1\" width=0 height=0 classid=\"clsid:8856F961-340A-11D0-A96B-00C04FD705A2\"></object>';\r\n"+
"    document.body.insertAdjacentHTML('beforeEnd', WebBrowser);\r\n"+
"    WebBrowser1.ExecWB(6, 2);\r\n"+
"}}\r\n"+
"function print_doc(){    \r\n"+
"window.print();   \r\n"+
"} \r\n"+
"//-->\r\n"+
"</script>\r\n</body></html>");
  newWin.print();
  newWin.close;
}
function toprintfrom(){
    newWin.print();
    newWin.close;
  }
document.write('<div id="s_calc_box">'+
'        <div id="s_calc">'+
'            <table cellpadding="0" cellspacing="0" border="0">'+
'            <tr>'+
'                <td colspan="2"><input type="hidden" id="s_method" value="summ"><a href="#" id="s_calc_summ" class="s_butt2_act" onclick="set_method(\'summ\');return false;">Расчет от размера ежемесячного дохода</a>   <a href="#" id="s_calc_max" class="s_butt2" onclick="set_method(\'max\');return false;">Расчет от суммы кредита</a></td>'+
'            </tr>'+
'            <tr>'+
'                <td width="290px"><span id="s_summ_name">Сумма чистого среднемесячного дохода:</span></td>'+
'                <td><input id="s_summ" /> руб.</td>'+
'            </tr>'+
'            <tr class="tr_calc_max">'+
'                <td>Сумма обязательств по другим кредитам (ежемесячные платежи):</td>'+
'                <td><input id="s_uderzh" /> руб.</td>'+
'            </tr>'+
'            <tr>'+
'                <td width="290px">Размер годовой процентной ставки:</td>'+
'                <td><input id="s_percent" /> %</td>'+
'            </tr>'+
'            <tr>'+
'                <td>Срок кредита:</td>'+
'                <td>'+
'                    <div id="s_term_box"><select id="s_term" size="1">'+
'                    <option value="12">12 месяцев</option>'+
'                    <option value="24">24 месяца</option>'+
'                    <option value="36">36 месяцев</option>'+
'                    <option value="48">48 месяцев</option>'+
'                    <option value="60">60 месяцев</option>'+
'                    <option value="72">72 месяцев</option>'+
'                    <option value="84">84 месяцев</option>'+
'                    </select></div>'+
'                </td>'+
'            </tr>'+
'            <tr>'+
'                <td colspan="2">'+
'                    <a href="#" class="s_butt" onclick="s_calc();return false;">Рассчитать</a>'+
'                </td>'+
'            </tr>'+
'            </table>'+
'        </div>'+
'        <div>'+
'          <div id="s_res"></div>'+
'          <div id="s_loader"><img src="sk_calc/img/loader.gif" alt="" /></div>'+
'        </div>'+
'</div>');


window.onload=function(){
    var a = 1;
}

